Skip to content
View in the app

A better way to browse. Learn more.

Unraid

A full-screen app on your home screen with push notifications, badges and more.

To install this app on iOS and iPadOS
  1. Tap the Share icon in Safari
  2. Scroll the menu and tap Add to Home Screen.
  3. Tap Add in the top-right corner.
To install this app on Android
  1. Tap the 3-dot menu (⋮) in the top-right corner of the browser.
  2. Tap Add to Home screen or Install app.
  3. Confirm by tapping Install.

Torrent plugin - using Transmssion or rTorrent?

Featured Replies

What's the impression of rTorrent vs. Transmission as a torrent backend?

 

I have rTorrent working on unRAID 5.0, using Lighttpd and the php-upgrade packages... but it is a pig.

 

Transmission, OTOH, is a breeze.

 

Any reason to keep working on rTorrent over Transmission?

 

 

What's the impression of rTorrent vs. Transmission as a torrent backend?

 

I have rTorrent working on unRAID 5.0, using Lighttpd and the php-upgrade packages.  Tomorrow I'll try Transmission.

 

What is the current leanings for clients for rTorrent?  I prefer rutorrent... it's the easiest to install and get working.

 

 

 

I have always used the Transmission Client on the mac side and have always liked it.  I know the development is ongoing.

 

With all that being said, I have been running bubbaRAID on my main machine since you created it and quite like rtorrent and rutorrent. It would be nice if rtorrent can be easily upgraded but I am not going to complain to much.

Development is a big issue... rTorrent is stagnant... if not dead.

 

I like this client:

 

http://code.google.com/p/transmisson-remote-gui/downloads/list

 

Yeah, I was not sure how rtorrent was holding up and if development was still happening.

 

I guess I would have to lean towards Transmission as the first choice, purely for the fact that development is still happening!!

I like rtorrent because it was fairly robust, easily controlled at the console level and worked with many trackers.

 

I haven't been torrenting as much as I used to because as you mention, it's a bit heavy when you start getting into allot of the automated .rc controls and gui front ends.

 

I've been meaning to try transmission myself.

I've been using transmission for ages on unRAID. It's easy enough to control from the shell using transmissioncli or from another machine using transmission-remote. I have a /etc/rc.d/rc.transmission script control mine. It's hooked into the rc.local and rc.local_shutdown.

 

This rc.d script isn't pretty, but it's functional and sort of a template basis for some of my other services such as SABnzbd, eggdrop, and oidentd.

 

It's scripted on top of start-stop-daemon Debian utility that controls it. The SSD handles plenty to be useful for these situations. It's small and compact and I think statically linked. I snagged it from the dpkg source package,  from it's utils directory [ http://packages.debian.org/testing/dpkg ] Here's the SSD man page: http://man.he.net/man8/start-stop-daemon

 

# ls -al /sbin/start-stop-daemon

-rwxr-xr-x 1 root root 51114 2009-08-22 19:48 /sbin/start-stop-daemon*

 

# ldd /sbin/start-stop-daemon

        linux-gate.so.1 =>  (0xffffe000)

        libc.so.6 => /lib/libc.so.6 (0xb7681000)

        /lib/ld-linux.so.2 (0xb780c000)

 

#! /bin/sh

 

USERNAME=download

GROUPNAME=download

 

PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SSD=/sbin/start-stop-daemon

DESC="bittorrent client"

NAME=transmission-daemon

DAEMON=$(which $NAME)

PIDFILE=/var/run/$NAME.pid

SCRIPTNAME=/etc/rc.d/$NAME

 

# Exit if the package is not installed

[ -x "$DAEMON" ] || exit 0

 

# Read configuration variable file if it is present

[ -r /etc/default/$NAME ] && . /etc/default/$NAME

 

# Load the VERBOSE setting and other rcS variables

[ -f /etc/default/rcS ] && . /etc/default/rcS

 

#

# Function that starts the daemon/service

#

do_start()

{

    # Export the configuration/web directory, if set

    if [ -n "$TRANSMISSION_HOME" ]; then

          export TRANSMISSION_HOME

    fi

    if [ -n "$TRANSMISSION_WEB_HOME" ]; then

          export TRANSMISSION_WEB_HOME

    fi

 

    # Return

    #  0 if daemon has been started

    #  1 if daemon was already running

    #  2 if daemon could not be started

    $SSD --chuid $USERNAME --group $GROUPNAME --start --pidfile $PIDFILE --make-pidfile \

            --exec $DAEMON --background --test -- -f $TRANSMISSION_ARGS > /dev/null \

            || return 1

    $SSD --chuid $USERNAME --group $GROUPNAME --start --pidfile $PIDFILE --make-pidfile \

            --exec $DAEMON --background -- -f $TRANSMISSION_ARGS \

            || return 2

}

 

#

# Function that stops the daemon/service

#

do_stop()

{

        # Return

        #  0 if daemon has been stopped

        #  1 if daemon was already stopped

        #  2 if daemon could not be stopped

        #  other if a failure occurred

        #start-stop-daemon --stop --quiet --retry=TERM/10/KILL/5 --pidfile $PIDFILE --name $NAME

        $SSD --stop --quiet --retry=TERM/10/KILL/5 --pidfile $PIDFILE --exec $DAEMON

        RETVAL="$?"

        [ "$RETVAL" = 2 ] && return 2

 

        # Wait for children to finish too if this is a daemon that forks

        # and if the daemon is only ever run from this initscript.

        # If the above conditions are not satisfied then add some other code

        # that waits for the process to drop all resources that could be

        # needed by services started subsequently.  A last resort is to

        # sleep for some time.

 

        $SSD --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON

        [ "$?" = 2 ] && return 2

 

        # Many daemons don't delete their pidfiles when they exit.

        rm -f $PIDFILE

 

        return "$RETVAL"

}

 

case "$1" in

  'start')

        echo "Starting $DESC" "$NAME..."

        do_start

        case "$?" in

                0|1) echo "  Starting $DESC $NAME succeeded" ;;

                *)  echo "  Starting $DESC $NAME failed" ;;

        esac

        ;;

  'stop')

        echo "Stopping $DESC $NAME..."

        do_stop

        case "$?" in

                0|1) echo "  Stopping $DESC $NAME succeeded" ;;

                *)  echo "  Stopping $DESC $NAME failed" ;;

        esac

        ;;

 

  'restart'|'force-reload')

        #

        # If the "reload" option is implemented then remove the

        # 'force-reload' alias

        #

        echo "Restarting $DESC $NAME..."

        do_stop

        case "$?" in

          0|1)

                do_start

                case "$?" in

                    0|1) echo "  Restarting $DESC $NAME succeeded" ;;

                    *)  echo "  Restarting $DESC $NAME failed: couldn't start $NAME" ;;

                esac

                ;;

          *)

                echo "  Restarting $DESC $NAME failed: couldn't stop $NAME" ;;

        esac

        ;;

  *)

        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2

        exit 3

        ;;

esac

FWIW, here's an excerpt of my settings.json file noting some of the interesting settings I find very useful. Not all of them were readily or openly documented when I discovered them. For a reference of the documented settings, have a look at: https://trac.transmissionbt.com/wiki/EditConfigFiles

 

This enables it to watch the '/cache/.downloads/import' directory for any .torrent files, auto-adding them. It also removes the original .torrent file once added. When it's downloading, the file will be placed in '/cache.downloads/incomplete'. Once it's finished downloading (and in process of seeding), it will move the file to '/cache/.downloads/extracted' directory. I have a umask set to control the file permissions. I also have it setup to preallocate the entire file.

 

{

   "download-dir": "/cache/.downloads/extracted",

   "incomplete-dir": "/cache/.downloads/incomplete",

   "incomplete-dir-enabled": true,

   "preallocation": 2,

   "script-torrent-done-enabled": false,

   "script-torrent-done-filename": "",

   "start-added-torrents": true,

   "trash-original-torrent-files": true,

   "umask": 18,

   "watch-dir": "/cache/.downloads/import",

   "watch-dir-enabled": true

}

 

Historically Transmission release some stable versions that done some nasty stats reporting to the tracker. Since private trackers rely on stats for ratio calcs etc the instant this was discovered all hell broke loose in these community's and the client was banned. Later on when development increased transmission was allowed again and yet again they made another stats error.

 

Since then it has been unbanned in most places but this left a sour taste in the mouth of tracker devs and the perception of Transmission is that it is shawdy. However it is important to note that most private tracker owners are muppets that havent even read the torrent spec and their technical answers are for all intents and purposes chinese whispers that was nonsense in the first place.

 

rTorrent however has consistently been reliable for stats and private trackers like it however the most recent stable crashes all the time for some people and dev has all but stopped.

 

The following list is taken form a big tracker that does detailed analysis on clients. In general if it is on this list you are golden:

 

libTorrent (Rakshasa) 0.10.4 (rtorrent)

libTorrent (Rakshasa) 0.11.x (rtorrent)

libTorrent (Rakshasa) 0.14.6.0 (rtorrent)

libTorrent (Rakshasa) 0.12.x (rtorrent)

Transmission 1.5.4 (For OS X 10.4)

Transmission 1.6.x

Transmission 1.7.x

Transmission 1.8.x

Transmission 1.92

Transmission 1.93

Transmission 2.0.x

 

 

 

however with releasing a torrent clients comes some responsibility. If the version released gets banned in some places we need to react quickly cause private swarm membership can literally take years to gain and hours to lose.

 

:)

  • 2 weeks later...

Is there any Transmission builds floating around that would work on 4.5.6?

 

Sorry I didn't notice what section this was in when I did a search. My intentions isn't to muddle up the 5.0 area.

  • Author

It will probably work on earlier versions.... you have to edit the config and start it manually though.

  • 2 weeks later...

Has anyone tried it in 4.5.6 and willing to share their experiences?

 

@Brit would you mind sharing your packages if you are on 4.5.6?

HDBits only allow these versions of Transmission:

 

Transmission 1.9.2+, 2.0.1

If you extend that statement to a larger set of private trackers then it will be "tracker xxx only allow the latest version"

 

As ive said before if we release torrent clients we have a duty of care to release them soon/immdiately after they are updated. otherwise unraid users will start losing their hard earned tracker memberships

I don't think users will be banned, but certainly the client won't be able to register into the tracker.

That would be a false assumption.

 

There have been MANY instances where clients bugs have caused users to be banned. There is no way to tell the difference between a bug and a cheat and private trackers treat all ratio errors as cheaters for example.

 

Trust me on this.

Good info here.

 

Anyone with the packages?  ;D

Archived

This topic is now archived and is closed to further replies.

Account

Navigation

Search

Search

Configure browser push notifications

Chrome (Android)
  1. Tap the lock icon next to the address bar.
  2. Tap Permissions → Notifications.
  3. Adjust your preference.
Chrome (Desktop)
  1. Click the padlock icon in the address bar.
  2. Select Site settings.
  3. Find Notifications and adjust your preference.